Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.4 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

OCS Agent 2.3.1 (MAC OX) installs but do not work properly!!!!

I am trying to install ocs agent in a MAC OS, however even the instalation goes fine, it is not reporting.

LOG ERROR MESSAGE:

missing COMPRESS::zlib  tying to compress with gzip but will not work with server version higher them 1.2

 (BAD ERROR 400)
asked Oct 18, 2017 in OCS Inventory NG agent for MacOS X by Leozito (210 points)

4 Answers

0 votes
Hi,

Install missing perl module

Regards

Frank
answered Oct 19, 2017 by frankb (53,050 points)
0 votes

Thank you for you answer.

I did install "brew and perl modules", restarted the workstation, reinstalled OCS agent.

However I still have getting this message os the log files:


classroom5:~ worshipguest$ cat /var/log/ocs*

"[Wed Oct 18 12:33:30 2017][debug] Ocsinventory unified agent for UNIX, Linux and MacOSX 2.3.1

[Wed Oct 18 12:33:30 2017][debug] Log system initialised (File)

[Wed Oct 18 12:33:30 2017][debug] --scan-homedirs missing. Don't scan user directories

[Wed Oct 18 12:33:30 2017][debug] Accountinfo file: /var/lib/ocsinventory-agent/http:__remote.broadpc.com:88_ocsinventory/ocsinv.adm

[Wed Oct 18 12:33:30 2017][debug] OCS Agent initialised

[Wed Oct 18 12:33:30 2017][debug] Turns hooks on for /etc/ocsinventory-agent/modules.conf

[Wed Oct 18 12:33:30 2017][debug] Calling handlers : `start_handler'

[Wed Oct 18 12:33:30 2017][debug] Compress::Zlib is not available! The data will be compressed with

             gzip instead but won't be accepted by server prior 1.02

[Wed Oct 18 12:33:30 2017][debug] Calling handlers : `prolog_writer'

[Wed Oct 18 12:33:31 2017][debug] sending XML

[Wed Oct 18 12:33:31 2017][debug] sending: <?xml version="1.0" encoding="UTF-8"?>

<REQUEST>

  <DEVICEID>classroom5-2017-10-18-12-26-55</DEVICEID>

  <QUERY>PROLOG</QUERY>

</REQUEST>

[Wed Oct 18 12:33:31 2017][error] Cannot establish communication : 400 Bad Request"

answered Oct 19, 2017 by Leozito (210 points)
+1 vote

Hi

Error 400 means that your server has a lower version that your client. With agent 2.3.1 you must use ocs server 2.3.1 and only this version. 

In  summary : 

can send inventory toocs server 2.3.xocs server 2.2.xocs server 2.1.xocs server 2.0.x
ocs agent 2.3.xYesNo - Error 400 returnedNo - Error 400 returnedNo - Error 400 returned
ocs agent 2.2.xYesYesNo - Error 400 returnedNo - Error 400 returned
ocs agent 2.1.xYesYesYesNo - Error 400 returned
ocs agent 2.0.xYesYesYesYes

Regards

Frank

answered Oct 20, 2017 by frankb (53,050 points)
0 votes
Hi Frank,

Thank you for you support.

Your recommendation worked.

I appreciated your help.
answered Nov 25, 2017 by Leozito (210 points)
 
Powered by Question2Answer
...